Bug 132944 - Table is multiplying with dummy's after undo
Summary: Table is multiplying with dummy's after undo
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.1 rc
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6....
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-05-11 12:02 UTC by Telesto
Modified: 2020-07-30 09:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (9.94 KB, application/vnd.oasis.opendocument.text)
2020-05-11 12:02 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-05-11 12:02:09 UTC
Description:
Table is multiplying with dummy's after undo -> similar to bug 132187

Steps to Reproduce:
1. Open the attached file
2. Select the table
3. CTRL+X
4. CTRL+V
5. CTRL+V
6. Select both tables & CTRL+X
7. CTRL+Z -> 4 tables

Actual Results:
4 tables

Expected Results:
2 tables


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 97a2c1fc5e376c0c00968f17a0392c6d3a5ed565
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded
Comment 1 Telesto 2020-05-11 12:02:24 UTC
Created attachment 160662 [details]
Example file
Comment 2 Telesto 2020-05-11 20:18:06 UTC
Also in 6.4, but not 6.3
Is it finally possible to cut 'only' the table; and we get a regression. I hope the bibisect proofs otherwise..
Comment 3 Durgapriyanka 2020-05-11 22:06:58 UTC
Thank you for reporting the bug. I can confirm the bug present in

Version: 6.4.0.0.alpha1+ (x86)
Build ID: ec7374ff84c71edfbb30d6e4dc5b486b6df7107f
CPU threads: 2; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-11-10_21:37:30
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
	
But in 3.3
I see only 2 tables and both of them are attached together and the letter 'x' change their locations.
Comment 4 NISZ LibreOffice Team 2020-05-13 12:42:23 UTC
I could reproduce this in 6.2. Original table stays after cutting, but inserting twice, cutting them and undoing produces 4 tables instead of 2.

Bibisected to: 

https://cgit.freedesktop.org/libreoffice/core/commit/?id=94c1af65367dcbc7272455cf6d4940252a289b62

author	Michael Stahl <Michael.Stahl@cib.de>	2018-11-30 17:54:41 +0100
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2018-12-18 22:30:17 +0100

sw_redlinehide: make layout based Show/Hide mode the default

Adding CC to: Michael Stahl
Comment 5 Commit Notification 2020-06-17 08:31:35 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ad0351b84926075297fb74abbe9b31a0455782af

tdf#132944 sw_redlinehide: delete of insert redline

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Stahl (CIB) 2020-06-17 08:35:30 UTC
well that's a nasty corner case, hope its fixed on master
Comment 7 Commit Notification 2020-06-17 09:27:41 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/854bd553740891cac19e2fea2293dc99a4aded51

tdf#132944 sw_redlinehide: delete of insert redline

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-06-17 17:27:48 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 27381dc1b76e4aee5459b3d85e6fc5919d2b8f98
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 9 Commit Notification 2020-06-17 22:49:06 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/1e04dd3bca5b3bd3ea94af3304bdce87b705451b

tdf#132944 sw_redlinehide: delete of insert redline

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2020-06-18 15:53:08 UTC
I created a unittest in https://gerrit.libreoffice.org/c/core/+/96590 which fails for me locally without the patch and passes with it but fails in jenkins. I've tried different approaches to test it but the results in jenkins are different from my local build. Writing it in here in case someone wants to give it a try.
Comment 11 Commit Notification 2020-07-28 08:00:41 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4c9b292bb4ff3ad516dad37e2e0dd0ac8bbb4aa0

Revert "tdf#132944 sw_redlinehide: delete of insert redline"

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-07-28 16:50:05 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c7f7bbf082806ba74eb5a608bfeabd05bf73510d

tdf#132944: sw_uiwriter: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2020-07-28 20:04:37 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/3a560c35bd7b652cc956d808b1f451f859c924d4

tdf#132944: sw_uiwriter: Add unittest

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2020-07-28 20:08:49 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/3c12f166f96f5f6472457b7fa63effb6a6c6d847

Revert "tdf#132944 sw_redlinehide: delete of insert redline"

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-07-30 09:31:29 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/1cd0c57875c892bf2f53e0bbd6586cf4cb760cea

Revert "tdf#132944 sw_redlinehide: delete of insert redline"

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2020-07-30 09:34:02 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/c808f26f8e81c12ddb0353b0ce9a50079eadb59a

tdf#132944: sw_uiwriter: Add unittest

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.